PHPのバージョンを「7.1」に更新する手順

アプリケーションを使用していて、「PHPのバージョンが古い」と表示されました。なので更新することにしました。環境は「CentOS7」です。

「PHP7。1」にバージョンアップします。

使用中のPHPを削除

まず、PHPをバージョンアップする前に、現在インストールされているPHPを全て削除します。

$ sudo yum remove php-*

(以下、インストールされていたPHP。)
php x86_64 5.4.16-46.el7 @base 4.4 M
php-cli x86_64 5.4.16-46.el7 @base 8.8 M
php-common x86_64 5.4.16-46.el7 @base 3.8 M
php-fpm x86_64 5.4.16-46.el7 @base 4.5 M
php-gd x86_64 5.4.16-46.el7 @base 343 k
php-mbstring x86_64 5.4.16-46.el7 @base 1.3 M
php-mysql x86_64 5.4.16-46.el7 @base 232 k
php-pdo x86_64 5.4.16-46.el7 @base 193 k
php-pear noarch 1:1.9.4-21.el7 @base 2.2 M
php-process x86_64 5.4.16-46.el7 @base 79 k
php-xml x86_64 5.4.16-46.el7 @base 325 k

リポジトリを作成します。

$ sudo yum -y install http://rpms.famillecollet.com/enterprise/remi-release-7.rpm

PHPをインストールします。

(必要に応じてインストールするソフトは異なってくるかと思います。)

$ sudo yum -y install –enablerepo=remi-php71 php php-cli php-common php-devel php-fpm php-gd php-mbstring php-mysqlnd php-pdo php-pear php-pecl-apcu php-soap php-xml php-xmlrpc

バージョンを確認します。

$ php -v

適用させます。

$ systemctl restart httpd

以上です。